View Issue Details

IDProjectCategoryView StatusLast Update
0004763gnunet-gtkgnunet-setuppublic2018-06-07 00:24
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004763: autostarting (and restarting) of services no longer works for gnunet-setup
DescriptionIn 0.10.1, gnunet-setup would autostart services it needed, and restart them when necessary. This no longer works as of 03601cb..94b81ac as the client-API that was used was obsoleted, not to mention it never worked properly with ARM.

We need to address this properly, i.e. by communicating with ARM and asking ARM to start/stop services as required by gnunet-setup.
TagsNo tags attached.

Activities

Christian Grothoff

2017-03-09 01:24

manager   ~0011913

a5820483..b3c48577 adds the autostarting logic; still needs more testing.

Christian Grothoff

2017-03-09 18:02

manager   ~0011915

Fixed in c0862506a..fd58a3abc

Issue History

Date Modified Username Field Change
2016-11-08 14:00 Christian Grothoff New Issue
2017-02-20 11:23 Christian Grothoff Assigned To => Christian Grothoff
2017-02-20 11:23 Christian Grothoff Status new => assigned
2017-02-22 21:05 Christian Grothoff Priority normal => high
2017-02-22 21:05 Christian Grothoff Target Version 0.11.0 => 0.11.0pre66
2017-03-09 01:24 Christian Grothoff Note Added: 0011913
2017-03-09 18:02 Christian Grothoff Status assigned => resolved
2017-03-09 18:02 Christian Grothoff Resolution open => fixed
2017-03-09 18:02 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-03-09 18:02 Christian Grothoff Note Added: 0011915
2018-06-07 00:24 Christian Grothoff Status resolved => closed